#
# spec file for package perl-Data-Peek
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Data-Peek
Version:        0.47
Release:        lp150.1.3
%define cpan_name Data-Peek
Summary:        Collection of Low-Level Debug Facilities
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Data-Peek/
Source0:        https://cpan.metacpan.org/authors/id/H/HM/HMBRAND/%{cpan_name}-%{version}.tgz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::NoWarnings)
Requires:       perl(Test::More) >= 0.88
Requires:       perl(Test::NoWarnings)
Recommends:     perl(Data::Dumper) >= 2.167
Recommends:     perl(Perl::Tidy)
Recommends:     perl(Test::More) >= 1.302086
%{perl_requires}

%description
Data::Peek started off as 'DDumper' being a wrapper module over
Data::Dumper, but grew out to be a set of low-level data introspection
utilities that no other module provided yet, using the lowest level of the
perl internals API as possible.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ChangeLog CONTRIBUTING.md examples README

%changelog
* Sun Oct  8 2017 coolo@suse.com
- updated to 0.47
  see /usr/share/doc/packages/perl-Data-Peek/ChangeLog
  0.47	- 2017-07-24, H.Merijn Brand   <h.m.brand@xs4all.nl>
  * It's 2017
  * Update ppport.h to Devel::PPPort-3.36
  * Reserve stack space if required
  0.46	- 2016-05-12, H.Merijn Brand   <h.m.brand@xs4all.nl>
  * Skip nomemoize in old Perl::Tidy (RT#113433, Slaven)
  * Test with perl-5.24.0
  0.45	- 2016-02-16, H.Merijn Brand   <h.m.brand@xs4all.nl>
  * Add CONTRIBUTING.md
  * It's 2016
  * Test::More with Test2 does not preserve $! and $?
* Thu Aug 27 2015 hsk@imb-jena.de
- updated to 0.44
  * bug fixes, a. o. to make it build on recent perl
* Fri Mar  7 2014 coolo@suse.com
- updated to 0.40
  * Upped copyright to 2014
  * Guard Perl::Tidy against stupid user options in .perltidyrc
* Fri Oct  4 2013 coolo@suse.com
- updated to 0.39
  * Upped copyright to 2013
  * Add alternative test results for 5.19.3 and up (COW and no PV for IV)
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.38
  * Backslashed { in regex in test to satisfy perl-5.17
* Fri May 25 2012 coolo@suse.com
- update to 0.37
  * Upped copyright to 2012
  * Allow length for DHexDump ()
* Fri Nov 18 2011 coolo@suse.com
- update to 0.36
  * NAME / DISTNAME in Makefile.PL
  * More cross-checks for META data
* Thu Sep  1 2011 chris@computersalat.de
- updated to 0.34
  * Tests require Test::More-0.88 or up (RT#70538)
  * Tested on perl-5.14.1 and 5.15.1
* Sat Aug 27 2011 chris@computersalat.de
- fix deps, build for RHEL, CentoS, < 1120
  * Test::More >= 0.88, and others
* Tue Jun 28 2011 coolo@novell.com
- initial package 0.33
  * created by cpanspec 1.78.05
